 
#ifndef __UTILITIES__H__
#define __UTILITIES__H__

#include <display.h>
#include <joypad.h>
#include <console.h> 
#include <sprite.h>

#define abs(x) ((x)<0 ? -(x) : (x))

void input_init();
void input_read();
long input_isTapped( long which );

void game_init();
display* game_getDisplay();

FILE* game_getConsole();

sprite* game_makeSprite(
	int width, // width in pixels so that the width in bytes is a multiple of 8
	int height, 
	phrase* data // address of the graphical data: it should be phrase aligned
	);

void shuffleInPlace( int* data, int count );

unsigned int random( unsigned int max );

#endif
